Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Class PDFRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractConfigurator
          org.apache.fop.render.AbstractRendererConfigurator
              org.apache.fop.render.PrintRendererConfigurator
                  org.apache.fop.render.pdf.PDFRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator, RendererConfigurator

    public class PDFRendererConfigurator

extends PrintRendererConfigurator

PDF renderer configurator.

Field Summary

Fields inherited from class org.apache.fop.render.PrintRendererConfigurator
`log`

Fields inherited from class org.apache.fop.render.AbstractConfigurator
`userAgent`

Constructor Summary
`PDFRendererConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`static java.util.Map` | `buildFilterMapFromConfiguration(org.apache.avalon.framework.configuration.Configuration cfg)` Builds a filter map from an Avalon Configuration object.
`void` | `configure(IFDocumentHandler documentHandler)` Configures a intermediate format document handler.
`void` | `configure(Renderer renderer)` Throws an UnsupportedOperationException.

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`buildFontList, setupFontInfo`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getRendererConfig, getRendererConfig, getType`

Methods inherited from class org.apache.fop.render.AbstractConfigurator
`getConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFRendererConfigurator

    public PDFRendererConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)

  Throws an UnsupportedOperationException.

  Specified by:
    `configure` in interface `RendererConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `renderer` - not used

### buildFilterMapFromConfiguration

    public static java.util.Map buildFilterMapFromConfiguration(org.apache.avalon.framework.configuration.Configuration cfg)
                                                         throws org.apache.avalon.framework.configuration.ConfigurationException

  Builds a filter map from an Avalon Configuration object.

  Parameters:
    `cfg` - the Configuration object
  Returns:
    Map the newly built filter map
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException` - if a filter list is defined twice

### configure

    public void configure(IFDocumentHandler documentHandler)
                   throws FOPException

  Configures a intermediate format document handler.

  Specified by:
    `configure` in interface `IFDocumentHandlerConfigurator`
  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `documentHandler` - the document handler instance
  Throws:
    `FOPException` - if an error occurs while configuring the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.